Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNObjectNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.security.jazn.JAZNException
                        |
                        +--oracle.security.jazn.JAZNObjectNotFoundException

All Implemented Interfaces:
  Serializable

public class JAZNObjectNotFoundException
extends JAZNException

JAZNObjectNotFoundException is thrown when an attempt is made to access an object that does not already exist.

See Also:
  Serialized Form

Constructor Summary
`JAZNObjectNotFoundException()` Creates a new instance of JAZNObjectNotFoundException
`JAZNObjectNotFoundException(String msg)` Creates a new instance of JAZNObjectNotFoundException with the specified arguments
`JAZNObjectNotFoundException(String msg, Throwable cause)` Creates a new instance of JAZNObjectNotFoundException with the specified arguments

Methods inherited from class oracle.security.jazn.JAZNException
`getCause, initCause, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAZNObjectNotFoundException

    public JAZNObjectNotFoundException()

  Creates a new instance of JAZNObjectNotFoundException

### JAZNObjectNotFoundException

    public JAZNObjectNotFoundException(String msg)

  Creates a new instance of JAZNObjectNotFoundException with the specified arguments

### JAZNObjectNotFoundException

    public JAZNObjectNotFoundException(String msg,
    Throwable cause)

  Creates a new instance of JAZNObjectNotFoundException with the specified arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.